%{?mingw_package_header}

%global pkgname spirv-headers
%global srcname SPIRV-Headers

%global commit 12f8de9f04327336b699b1b80aa390ae7f9ddbf4
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Name:          mingw-%{pkgname}
Version:       1.2
Release:       0.1%{?commit:.git%{shortcommit}}%{?dist}
Summary:       MinGW Windows %{pkgname}

License:       MIT
BuildArch:     noarch
URL:           https://github.com/KhronosGroup/%{srcname}
%if 0%{?commit:1}
Source0:       https://github.com/KhronosGroup/%{srcname}/archive/%{commit}/%{srcname}-%{shortcommit}.tar.gz
%else
Source0:       https://github.com/KhronosGroup/%{srcname}/archive/%{version}/%{srcname}-%{version}.tar.gz
%endif


BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95


%description
MinGW Windows %{pkgname}


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname}.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname}

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname}.



%prep
%if 0%{?commit:1}
%autosetup -p1 -n %{srcname}-%{commit}
%else
%autosetup -p1 -n %{srcname}-%{version}
%endif


%build
# Nothing to build


%install
install -d %{buildroot}%{mingw32_includedir}/
install -d %{buildroot}%{mingw64_includedir}/
cp -a include/spirv %{buildroot}%{mingw32_includedir}/spirv
cp -a include/spirv %{buildroot}%{mingw64_includedir}/spirv


%files -n mingw32-%{pkgname}
%{mingw32_includedir}/spirv/

%files -n mingw64-%{pkgname}
%{mingw64_includedir}/spirv/


%changelog
* Fri Jun 08 2018 Sandro Mani <manisandro@gmail.com> - 1.2-0.1.git12f8de9
- Initial package
